//////////////////////////////////////////////////////////////////////
//
#if !defined(AFX_WPOSCTRL_H__C221E2A5_69E3_11D3_A25A_00A0C996E7F5__INCLUDED_)
#define AFX_WPOSCTRL_H__C221E2A5_69E3_11D3_A25A_00A0C996E7F5__INCLUDED_

///////////////////////////////////////////////////////////////////////
// To use this control, add a Custom Control using the resource editor.
//  Give it the Class name "MFCWposCtrl" and a resource ID like IDC_WPOSCTRL
// Add a member variable to link the new control--	CWposCtrl m_WposCtrl;
// Add this to the  DoDataExchange(..) function
//  	DDX_Control(pDX, IDC_WPOSCTRL, m_WposCtrl);
///////////////////////////////////////////////////////////////////////
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// WposCtrl.h : header file
//
#define MSG_TYPE_SEGMENT 0
#define MSG_TYPE_LMKR 1
#define MSG_TYPE_RMKR 2

#define CWPOSCTRL_CLASSNAME    _T("MFCWposCtrl")  // Window class name
/////////////////////////////////////////////////////////////////////////////
// CWposCtrl window
typedef void(CWnd::*PCALLBACKFUNCT)(int type, int position); //callback format

class CWposCtrl : public CWnd
{
// Construction
public:
	CWposCtrl();

// Attributes
public:

// Operations
public:
	virtual BOOL Create(DWORD dwStyle, const RECT& rect,
							CWnd* pParentWnd, UINT nID);
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWposCtrl)
	protected:
	virtual void PreSubclassWindow();
	//}}AFX_VIRTUAL

// Implementation
public:
	void SetCallback( CWnd* pWnd, PCALLBACKFUNCT pCallback ){ m_pParentWnd=pWnd; m_pCallback = pCallback;};
	void SetTotalSecs(INT secs){m_TotalSecs = secs;};
	void SetSegStartSecs(INT secs);
	void SetSegStopSecs(INT secs);
	void SetLMkrSecs(INT secs);
	void SetRMkrSecs(INT secs);
	INT GetLMkrSecs(){return m_LeftMkrSecs;};
	INT GetRMkrSecs(){return m_RightMkrSecs;};
	INT GetSegStartSecs(){return m_SegStartSecs;};
	INT GetSegStopSecs(){return m_SegStopSecs;};

	virtual ~CWposCtrl();

	// Generated message map functions
protected:
	//{{AFX_MSG(CWposCtrl)
	afx_msg void OnPaint();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
    BOOL RegisterWindowClass();

private:
	CWnd* m_pParentWnd;
	PCALLBACKFUNCT m_pCallback;
	INT m_TotalSecs;
	INT m_SegStartSecs;
	INT m_SegStopSecs;
	INT m_SegStartPos;
	INT m_SegStopPos;
	INT m_LeftMkrSecs;
	INT m_RightMkrSecs;
	INT m_LeftMkrPos;
	INT m_RightMkrPos;
	CBitmap m_bmImage;		// bitmap image of status window
	CRect m_rClient;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WPOSCTRL_H__C221E2A5_69E3_11D3_A25A_00A0C996E7F5__INCLUDED_)
